Une liste d'exécutions de workflows













Endpoints Exécutions Beta Workflows
Listez et inspectez les exécutions de workflows individuelles.












Exemples
Exemples réels de code
Lister les exécutions
GET /v1/workflows/runs
200
Réponse réussie
next_page_token
Token à utiliser pour récupérer la page de résultats suivante. Null s'il s'agit de la dernière page.
Playground
Testez les endpoints en direct
curl https://api.mistral.ai/v1/workflows/runs \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/workflows/runs \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"executions": [
{
"end_time": null,
"execution_id": "ipsum eiusmod",
"root_execution_id": "consequat do",
"start_time": "2025-10-07T20:56:01.974Z",
"status": "RUNNING",
"workflow_name": "reprehenderit ut dolore"
}
]
}{
"executions": [
{
"end_time": null,
"execution_id": "ipsum eiusmod",
"root_execution_id": "consequat do",
"start_time": "2025-10-07T20:56:01.974Z",
"status": "RUNNING",
"workflow_name": "reprehenderit ut dolore"
}
]
}Get Run
GET /v1/workflows/runs/{run_id}
run_id
200
Réponse réussie
end_time
L'heure de fin de l'exécution du workflow, si disponible
execution_id
L'ID de l'exécution du workflow
parent_execution_id
L'ID de l'exécution parente du workflow
result
Le résultat de l'exécution du workflow, s'il est disponible
root_execution_id
L'ID de l'exécution racine du workflow
start_time
L'heure de début de l'exécution du workflow
status
Le statut de l'exécution du workflow
total_duration_ms
La durée totale de la trace en millisecondes
workflow_name
Le nom du workflow
Playground
Testez les endpoints en direct
curl https://api.mistral.ai/v1/workflows/runs/{run_id} \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/workflows/runs/{run_id} \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"end_time": null,
"execution_id": "ipsum eiusmod",
"result": null,
"root_execution_id": "consequat do",
"start_time": "2025-10-07T20:56:01.974Z",
"status": "RUNNING",
"workflow_name": "reprehenderit ut dolore"
}{
"end_time": null,
"execution_id": "ipsum eiusmod",
"result": null,
"root_execution_id": "consequat do",
"start_time": "2025-10-07T20:56:01.974Z",
"status": "RUNNING",
"workflow_name": "reprehenderit ut dolore"
}Obtenir l'historique d'exécution
GET /v1/workflows/runs/{run_id}/history
run_id
decode_payloads
200
Réponse réussie
Playground
Testez les endpoints en direct
curl https://api.mistral.ai/v1/workflows/runs/{run_id}/history \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/workflows/runs/{run_id}/history \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
nullnull